Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 591998 - =mail-filter/amavisd-new-2.11.0-r3 stabilization request
Summary: =mail-filter/amavisd-new-2.11.0-r3 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Net-Mail Packages
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 592666
Blocks: 553284
  Show dependency tree
 
Reported: 2016-08-24 11:33 UTC by Thomas Deutschmann
Modified: 2018-06-19 19:13 UTC (History)
4 users (show)

See Also:
Package list:
=mail-filter/amavisd-new-2.11.0-r3 amd64 hppa ppc64 x86 =dev-perl/ZMQ-LibZMQ3-1.19.0 amd64 hppa ppc ppc64 x86 =dev-perl/Image-Info-1.390.0 hppa =net-libs/zeromq-3.2.3 ppc ppc64
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2016-08-24 11:33:19 UTC
Can we please stabilize =mail-filter/amavisd-new-2.11.0-r2?

At least a version which depends on dev-perl/ZMQ-LibZMQ3 so we can start removal of net-libs/zeromq-3.x, see bug 553284.
Comment 1 Eray Aslan gentoo-dev 2016-10-01 09:04:15 UTC
Will add the arches in a couple of days.
Comment 2 Eray Aslan gentoo-dev 2016-11-25 08:56:57 UTC
Arches, I'd like to stabilize amavisd-new-2.11.0-r3

Target Keywords = amd64 hppa ppc64 x86

The following packages needs to be stabilized:

amd64 ppc64 x86:
=mail-filter/amavisd-new-2.11.0-r3
=dev-perl/ZMQ-LibZMQ3-1.19.0

hppa:
=mail-filter/amavisd-new-2.11.0-r3
=dev-perl/ZMQ-LibZMQ3-1.19.0
=dev-perl/Image-Info-1.390.0

or mask zmq and/or spamassassin USE flags in amavisd-new.

Thank you.
Comment 3 Agostino Sarubbo gentoo-dev 2016-12-28 08:51:29 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 4 Stabilization helper bot gentoo-dev 2017-01-04 09:14:26 UTC
An automated check of this bug failed - repoman reported dependency errors (11 lines truncated): 

> dependency.bad dev-perl/ZMQ-LibZMQ3/ZMQ-LibZMQ3-1.19.0.ebuild: DEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland) ['=net-libs/zeromq-3*']
> dependency.bad dev-perl/ZMQ-LibZMQ3/ZMQ-LibZMQ3-1.19.0.ebuild: RDEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland) ['=net-libs/zeromq-3*']
> dependency.bad dev-perl/ZMQ-LibZMQ3/ZMQ-LibZMQ3-1.19.0.ebuild: DEPEND: ppc64(default/linux/powerpc/ppc64/13.0/64bit-userland/desktop) ['=net-libs/zeromq-3*']
Comment 5 Agostino Sarubbo gentoo-dev 2017-01-11 16:17:27 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2017-01-13 15:42:54 UTC
x86 stable
Comment 7 Agostino Sarubbo gentoo-dev 2017-01-20 11:07:23 UTC
ppc64 stable
Comment 8 User3569 2017-01-24 06:03:01 UTC
Recently updated =>dev-perl/DBD-mysql-4.40.0 is breaking amavisd-new.

See bug 604678
And
"mysql lookups - messages with score less than 0 are blocked as spam"
And https://lists.amavis.org/pipermail/amavis-users/2016-December/004681.html

The temporary solution is to downgrade to =dev-perl/DBD-mysql-4.37
Comment 9 lou 2017-02-02 22:43:22 UTC
(In reply to User3569 from comment #8)
> Recently updated =>dev-perl/DBD-mysql-4.40.0 is breaking amavisd-new.
> 
> See bug 604678
> And
> "mysql lookups - messages with score less than 0 are blocked as spam"
> And https://lists.amavis.org/pipermail/amavis-users/2016-December/004681.html
> 
> The temporary solution is to downgrade to =dev-perl/DBD-mysql-4.37

Running into the same problem. Ended up rolling back amavisd-new to 2.8.1-r1, but isolated the problem to what is described here. So I was screwed either way.

DBD-mysql-4.37 is not in portage any longer. If I find an old ebuild, would this require rolling back perl as well? Currently running perl-5.22.3.

Thanks!
Comment 10 Jeroen Roovers gentoo-dev 2017-02-04 08:55:16 UTC
Stable for HPPA.
Comment 11 Agostino Sarubbo gentoo-dev 2017-02-12 17:01:22 UTC
ppc stable. Closing.
Comment 12 Larry the Git Cow gentoo-dev 2018-06-19 19:13:03 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3a9fb75774159b90a8a725b73000d9c43d02740

commit f3a9fb75774159b90a8a725b73000d9c43d02740
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-19 15:16:23 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-19 19:12:45 +0000

    mail-filter/amavisd-new: stable 2.11.0-r3 for sparc
    
    Bug: https://bugs.gentoo.org/591998
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="sparc"

 mail-filter/amavisd-new/amavisd-new-2.11.0-r3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc4b09e84199889dabbb7ab74d42582bdf9755f7

commit cc4b09e84199889dabbb7ab74d42582bdf9755f7
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-19 15:14:19 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-19 19:12:44 +0000

    dev-perl/Image-Info: stable 1.410.0 for sparc
    
    Bug: https://bugs.gentoo.org/591998
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="sparc"

 dev-perl/Image-Info/Image-Info-1.410.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2990f7e511a5ae5ff69e0d5490b50b1310981424

commit 2990f7e511a5ae5ff69e0d5490b50b1310981424
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-19 15:13:41 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-19 19:12:44 +0000

    dev-perl/ZMQ-LibZMQ3: stable 1.19.0 for sparc
    
    Bug: https://bugs.gentoo.org/591998
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="sparc"

 dev-perl/ZMQ-LibZMQ3/ZMQ-LibZMQ3-1.19.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c10192864416ee9365de01f33c974beaeeed7b74

commit c10192864416ee9365de01f33c974beaeeed7b74
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-19 15:13:04 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-19 19:12:44 +0000

    net-libs/zeromq: stable 3.2.5 for sparc
    
    Bug: https://bugs.gentoo.org/591998
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="sparc"

 net-libs/zeromq/zeromq-3.2.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6af24725111404c6b8ba0c4c9e52fabd00f9a42e

commit 6af24725111404c6b8ba0c4c9e52fabd00f9a42e
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-19 15:10:57 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-19 19:12:43 +0000

    dev-perl/ZMQ-Constants: stable 1.40.0 for sparc
    
    Bug: https://bugs.gentoo.org/591998
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="sparc"

 dev-perl/ZMQ-Constants/ZMQ-Constants-1.40.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)